/**
 *        Copyright (c) 1993-2006 IONA Technologies PLC.
 *                       All Rights Reserved.
 */

package demo.location.jms;
import org.apache.activemq.broker.BrokerService;
import org.apache.activemq.store.memory.MemoryPersistenceAdapter;

public final class JmsBroker 
    implements org.springframework.beans.factory.InitializingBean,  org.springframework.beans.factory.DisposableBean {
    BrokerService broker;

    public JmsBroker() throws Exception {
	startBroker();
    }

    public static void main(String[] args) throws Exception {
	new JmsBroker();
    }

    private void startBroker() throws Exception {
        broker = new BrokerService();
        broker.setPersistenceAdapter(new MemoryPersistenceAdapter());
        broker.addConnector("tcp://localhost:61616");
        broker.start();
        System.out.println("JMS broker ready ...");
    }

    public void afterPropertiesSet() throws Exception {

    }
    
    public void destroy() throws Exception {
        broker.stop();
    }

}

