/**
 *        Copyright (c) 1993-2006 IONA Technologies PLC.
 *                       All Rights Reserved.
 */

package demo.location.server;

import java.util.List;
import java.util.logging.Logger;

import com.iona.location_types.Location;
import com.iona.location_service.GetLocationsPortType;

@javax.jws.WebService(portName = "GetLocationsPort",
                      serviceName = "GetLocationsService",
                      targetNamespace = "http://iona.com/location_service", 
                      endpointInterface = "com.iona.location_service.GetLocationsPortType")
                  
public class LocationServiceImpl implements GetLocationsPortType {

    private static final Logger LOG = 
        Logger.getLogger(LocationServiceImpl.class.getPackage().getName());

    private LocationManager locationMgr;

    LocationServiceImpl(LocationManager manager) {
        locationMgr = manager;
    }
    
    public List<Location> getLocations() {
        LOG.info("Executing operation getLocations");
        System.out.println("Executing operation getLocations\n");
        return locationMgr.getLocations();
    }

}
